Check a custom domain verification

POST/auth/v1/memberships/{orgId}/domain/verification

Verifies the organization's pending custom domain and returns its updated verification status.

Authorization<token>

In: header

Path Parameters

orgId*string

Organization ID

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.DomainResponse",
  "$ref-value": {
    "properties": {
      "auto_join": {
        "type": "boolean"
      },
      "domain": {
        "type": "string"
      },
      "expires_at": {
        "type": "string"
      },
      "id": {
        "type": "string"
      },
      "message": {
        "type": "string"
      },
      "present": {
        "type": "boolean"
      },
      "status": {
        "type": "string"
      },
      "verification_token": {
        "type": "string"
      },
      "verified_at": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/auth/v1/memberships/string/domain/verification"

OK

application/json

{
  "$ref": "#/components/schemas/authv1.DomainResponse",
  "$ref-value": {
    "properties": {
      "auto_join": {
        "type": "boolean"
      },
      "domain": {
        "type": "string"
      },
      "expires_at": {
        "type": "string"
      },
      "id": {
        "type": "string"
      },
      "message": {
        "type": "string"
      },
      "present": {
        "type": "boolean"
      },
      "status": {
        "type": "string"
      },
      "verification_token": {
        "type": "string"
      },
      "verified_at": {
        "type": "string"
      }
    },
    "type": "object"
  }
}